%define module_name UV
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Module/Build/Using/PkgConfig.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: pkgconfig(libuv)

Name: perl-%module_name
Version: 2.000
Release: alt2
Summary: perl interface to libuv
Group: Development/Perl
License: perl
URL: https://github.com/genio/p5-UV

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
UV provides low-level interface to libuv, https://github.com/joyent/libuv, platform layer for node.js.

Low-level means this module's functions maps to libuv functions directry.
`uv_listen' maps to `UV::listen', `uv_tcp_connect' to `UV::tcp_connect', and so on.

This is because I'm using this module to make some prototypes for native C application which uses libuv.
Perl codes using this module can be easily converted to C programs.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_archlib/*.h
rm -f %buildroot%perl_vendor_archlib/*.c
rm -f %buildroot%perl_vendor_archlib/typemap 

%files
%doc README.md README LICENSE CONTRIBUTING.md Changes
%perl_vendor_archlib/U*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 2.000-alt2
- rebuild with perl 5.38

* Tue Nov 23 2021 Igor Vlasenko <viy@altlinux.ru> 2.000-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.000009-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.000009-alt2
- rebuild with perl 5.30

* Fri Feb 08 2019 Igor Vlasenko <viy@altlinux.ru> 1.000009-alt1
- regenerated from template by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.000008-alt1.1
- rebuild with perl 5.28.1

* Thu Dec 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.000008-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.24-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.24-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.24-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.24-alt2
- rebuild to get rid of unmets

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- initial import by package builder

